Bug 29391 - Improve output of reservoir search
Summary: Improve output of reservoir search
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-02 13:07 UTC by Owen Leonard
Modified: 2022-01-14 13:41 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This patch makes the cataloging reservoir search results a configurable DataTable. This adds column configuration, export, and sorting. The empty edition and date columns are removed, and an import data column is added.
Version(s) released in:
22.05.00


Attachments
Bug 29391: Improve output of reservoir search (10.69 KB, patch)
2021-11-02 13:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29391: Improve output of reservoir search (10.75 KB, patch)
2021-11-04 23:09 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29391: Improve output of reservoir search (10.91 KB, patch)
2021-12-15 13:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-11-02 13:07:31 UTC
I'd like to make three changes to the output of search results from the bibliographic reservoir:

- Make it a configurable DataTable.
- Remove unused columns: the date and edition columns are not in the query so will never have data.
- Add a column for import date.
Comment 1 Owen Leonard 2021-11-02 13:24:19 UTC
Created attachment 127216 [details] [review]
Bug 29391: Improve output of reservoir search

This patch makes the cataloging reservoir search results a configurable
DataTable. The empty edition and date columns are removed, and an import
data column is added.

To test, apply the patch and go to Cataloging.

- Perform a cataloging search which will return results from the
  reservoir.
- The table of reservoir search results should be a DataTable with
  paging, navigation, filtering, column configuration, etc.
  - Confirm that all DataTable controls work correctly.
- Go to Administration -> Table settings -> Cataloging -> addbooks.
  - Try modifying the default configuration and confirm that the
    settings take effect.
Comment 2 PTFS Europe Sandboxes 2021-11-04 23:09:19 UTC
Created attachment 127327 [details] [review]
Bug 29391: Improve output of reservoir search

This patch makes the cataloging reservoir search results a configurable
DataTable. The empty edition and date columns are removed, and an import
data column is added.

To test, apply the patch and go to Cataloging.

- Perform a cataloging search which will return results from the
  reservoir.
- The table of reservoir search results should be a DataTable with
  paging, navigation, filtering, column configuration, etc.
  - Confirm that all DataTable controls work correctly.
- Go to Administration -> Table settings -> Cataloging -> addbooks.
  - Try modifying the default configuration and confirm that the
    settings take effect.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Barbara Johnson 2021-11-04 23:11:20 UTC
Very nice update.  I especially like that the import date was added.
Comment 4 Jonathan Druart 2021-12-15 13:29:55 UTC
-        copyrightdate    => $resultsbr->{copyrightdate},
-        editionstatement => $resultsbr->{editionstatement},

This is correct, columns were always empty.
Comment 5 Jonathan Druart 2021-12-15 13:30:27 UTC
Created attachment 128567 [details] [review]
Bug 29391: Improve output of reservoir search

This patch makes the cataloging reservoir search results a configurable
DataTable. The empty edition and date columns are removed, and an import
data column is added.

To test, apply the patch and go to Cataloging.

- Perform a cataloging search which will return results from the
  reservoir.
- The table of reservoir search results should be a DataTable with
  paging, navigation, filtering, column configuration, etc.
  - Confirm that all DataTable controls work correctly.
- Go to Administration -> Table settings -> Cataloging -> addbooks.
  - Try modifying the default configuration and confirm that the
    settings take effect.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Fridolin Somers 2022-01-10 07:04:54 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 7 Fridolin Somers 2022-01-11 00:42:35 UTC
Thanks a lot Owen for release notes :D